## org.eclipse.emf.cdo.transaction
Enum CDOTransactionFinishedEvent.Type

    java.lang.Object
      java.lang.Enum<CDOTransactionFinishedEvent.Type>
          org.eclipse.emf.cdo.transaction.CDOTransactionFinishedEvent.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CDOTransactionFinishedEvent.Type>

Enclosing interface:
  CDOTransactionFinishedEvent

    public static enum CDOTransactionFinishedEvent.Type

extends java.lang.Enum<CDOTransactionFinishedEvent.Type>

Enum Constant Summary
`COMMITTED`
`ROLLED_BACK`

Method Summary
`static CDOTransactionFinishedEvent.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CDOTransactionFinishedEvent.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMMITTED

    public static final CDOTransactionFinishedEvent.Type COMMITTED

### ROLLED_BACK

    public static final CDOTransactionFinishedEvent.Type ROLLED_BACK

Method Detail

### values

    public static final CDOTransactionFinishedEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CDOTransactionFinishedEvent.Type c : CDOTransactionFinishedEvent.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CDOTransactionFinishedEvent.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.